com.sun.syndication.feed.module

## Interface SyModule

All Superinterfaces:
  java.lang.Cloneable, CopyFrom, Module, java.io.Serializable

All Known Implementing Classes:
  SyModuleImpl

    public interface SyModule
    extends Module

Syndication ModuleImpl.

See Also:
  Syndication module.

### Field Summary

Fields
`static java.lang.String` `DAILY`
`static java.lang.String` `HOURLY`
`static java.lang.String` `MONTHLY`
`static java.lang.String` `URI` URI of the Syndication ModuleImpl (http://purl.org/rss/1.0/modules/syndication/).
`static java.lang.String` `WEEKLY`
`static java.lang.String` `YEARLY`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.Date` `getUpdateBase()` Returns the Syndication module update base date.
`int` `getUpdateFrequency()` Returns the Syndication module update frequency.
`java.lang.String` `getUpdatePeriod()` Returns the Syndication module update period.
`void` `setUpdateBase(java.util.Date updateBase)` Sets the Syndication module update base date.
`void` `setUpdateFrequency(int updateFrequency)` Sets the Syndication module update frequency.
`void` `setUpdatePeriod(java.lang.String updatePeriod)` Sets the Syndication module update period.

### Methods inherited from interface com.sun.syndication.feed.module.Module

`clone, getUri`

### Methods inherited from interface com.sun.syndication.feed.CopyFrom

`copyFrom, getInterface`

### Field Detail

#### URI

    static final java.lang.String URI

URI of the Syndication ModuleImpl (http://purl.org/rss/1.0/modules/syndication/).

See Also:
  Constant Field Values

#### HOURLY

    static final java.lang.String HOURLY

#### DAILY

    static final java.lang.String DAILY

#### WEEKLY

    static final java.lang.String WEEKLY

#### MONTHLY

    static final java.lang.String MONTHLY

#### YEARLY

    static final java.lang.String YEARLY

### Method Detail

#### getUpdatePeriod

    java.lang.String getUpdatePeriod()

Returns the Syndication module update period.

Returns:
  the Syndication module update period, null if none.

#### setUpdatePeriod

    void setUpdatePeriod(java.lang.String updatePeriod)

Sets the Syndication module update period.

Parameters:
  `updatePeriod` - the Syndication module update period to set, null if none.

#### getUpdateFrequency

    int getUpdateFrequency()

Returns the Syndication module update frequency.

Returns:
  the Syndication module update frequency, null if none.

#### setUpdateFrequency

    void setUpdateFrequency(int updateFrequency)

Sets the Syndication module update frequency.

Parameters:
  `updateFrequency` - the Syndication module update frequency to set, null if none.

#### getUpdateBase

    java.util.Date getUpdateBase()

Returns the Syndication module update base date.

Returns:
  the Syndication module update base date, null if none.

#### setUpdateBase

    void setUpdateBase(java.util.Date updateBase)

Sets the Syndication module update base date.

Parameters:
  `updateBase` - the Syndication module update base date to set, null if none.